Modified Launcher 21.08.27.1

License Agreement
Do What the Fuck You Want to Public License (WTFPL)
Recommended version of OMSI
Current v2.3.x
Prerequisite commercial expansions
None

Simple Launcher for normal game, BBS and Editor with support for Tram-Version and 4 GB Patch


This is a modified Launcher for OMSI, replacing the one Aerosoft shipped for selecting between BBS and Default OMSI.

It allows to quickly change between the Tram-Version (2.2) and the normal version (2.3) via the "_Straßenbahn"-Folder.

Also, if the 4gb_patch.exe is present and the current Executable isn't yet patched, it allows for patching it.
In case there are issues running it: Install the .NET Runtime 5 from https://dotnet.microsoft.com/d…0.8-windows-x64-installer


--------------------------


Dies ist ein modifizierter Launcher für OMSI, der den von Aerosoft mitgelieferten Launcher zur Auswahl zwischen BBS und normalem OMSI ersetzt.

Er erlaubt den schnellen Wechsel zwischen der Tram-Version (2.2) und der normalen Version (2.3) über den "_Straßenbahn"-Ordner.

Außerdem erlaubt er es, wenn die 4gb_patch.exe vorhanden ist und die aktuelle EXE noch nicht gepatcht ist, dieses zu patchen.
Wenn es Probleme mit dem Ausführen der Datei geben sollte, bitte die .NET Runtime 5 installieren: https://dotnet.microsoft.com/d…0.8-windows-x64-installer


--------------------------


Il s'agit d'un lanceur modifié pour OMSI, remplaçant celui qu'Aerosoft a fourni pour sélectionner entre BBS et OMSI défaut.

Il permet de changer rapidement entre la version Tram (2.2) et la version normale (2.3) via le dossier "_Strassenbahn".

De plus, si le 4gb_patch.exe est présent et que l'exécutable actuel n'est pas encore patché, il permet de le patcher.

Si vous avez des problèmes pour exécuter le fichier, veuillez installer le .NET Runtime 5: https://dotnet.microsoft.com/d…0.8-windows-x64-installer

  • 21.08.27.1

    * Editor-Start gefixt

    * weitere Startparameter hinzugefügt

    * Überprüfung auf aktuellere Version hinzugefügt

  • 1.0.2

    - Fix für BBS-Start

    - originaler Launcher mit inbegriffen, falls es zu Problemen kommt.

  • Da ich Das Programm Nicht Geht Sollte man denn Download voll Spern da der Autor sich ja voll nicht drum Kümmert

    • Er hat nicht die Pflicht, hier irgendwas zu updaten. ;)

      Zudem gibt es auch keine Anwesenheitspflicht. Wie du vielleicht siehst, war der Autor zuletzt am 2. August online und hätte somit im Prinzip gar nicht die Möglichkeit, hier irgendwas zu machen.

    • Zumal es funktioniert wenn man alles richtig macht

    • Echt dann Erzähle mir Mal was ich denn Falsch gemacht habe

    • Bitte installiere die im Beitrag verlinkten Frameworks.

  • Hallo seit dem Installieren des Launchers und dem Microsoft NET Core funktioniert es immer noch nicht.

    Ich würde mich um Hilfe freuen.


    Schöne Grüße

    Sean1578_99

  • Seit dem Installieren + der Installation vom vorgeschriebenen Net Core kommt in Omsi selber die Fehlermeldung "Launcher.exe could not be loaded - Map not found"

  • Mein Omsi 2 nicht mehr bekomme immer diese Fehlermeldung: to run this application, you must install.NET.zur information ich habe NET v.5.0.8 Runtime installiert und es läuft nicht.

  • Wenn ich auf Omsi 2 Editor klicke öffnet der das normale Omsi 2

    • Der Fehler wird mit dem grade hochgeladenen Update behoben.

  • Bei mir kommt die Meldung, dass eine neue Verson von net.Core installiert werden muss. Habe darauf auf den Installationshionweis geklickt und enstprechend installiert. Die Meldung kommt aber weiterin.

  • V1.0.2 funktioniert nun top ohne weitere Probleme Omsi (Hauptspiel) lässt sich nun öffnen.

  • NAch dem ich in installiert habe ,startet mein Omsi 2 nicht mehr:-(

    Like 1
    • Geh ich leider mit, sehr schöne Idee aber immer die Fehlermeldung: "Launcher.exe could not be loaded - Map not found"

      Like 2
    • Zum Glück hatte ich den launcher auf ne externe Festplatte, sonst hätte ich wahrscheinlich omsi komplett deinstallieren und neu installieren können 🙄🙄🙄🙄.

    • Unter Umständen ist es nötig, die .NET Runtime Desktop 5 zu installieren:
      https://dotnet.microsoft.com/d…0.8-windows-x64-installer

    • @mbfan hab ich es ist ja in Omsi dann nh Meldung

    • Ich hab es auch installiert und trotzdem kam die mehr mehr als so das omsi überhaupt nicht mehr zu starten war 😔😔😔

  • Wow danke .

    Hört sich sehr schön …

  • Geile Idee mit sehr kleinen Startschwierigkeiten

    Die Idee ist sehr sehr nice nun kann man endlich alle Sachen über einen Klick starten.

  • Gute Idee, leider mit Bugs

    Sehr nette Idee, tolles und modernes Design. Leider wirft Omsi manchmal Fehlermeldungen, nachdem Omsi mit Deinem Launcher gestartet wurde. Danach lässt sich Omsi nicht mehr starten - man muss Deinen Launcher mit dem originalen ersetzten und dann Deinen wieder einfügen, damit man Omsi wieder spielen kann... 🥲

    Reply from mbfan ():

    Was für Fehlermeldungen kommen denn?

    An sich sollte es keine Probleme geben, der Launcher macht im Endeffekt nicht mehr als auf die Omsi.exe zu "klicken".

Advertisement